# Interface RasterDataSourceJson

Raster data source is a file-based raster that resides in a registered raster workspace. See https://developers.arcgis.com/web-map-specification/objects/rasterDataSource/ https://developers.arcgis.com/web-scene-specification/objects/rasterDataSource/.

interface RasterDataSourceJson {
dataSourceName?: string;
type: "raster";
workspaceId?: string;
}

#### Hierarchy (view full)

- DataSourceJsonBase
  - RasterDataSourceJson

#####
Index

### Properties

dataSourceName?
type
workspaceId?

##
Properties

### `Optional` dataSourceName

dataSourceName?: string

The fully-qualified string value used to specify where the dataSource is derived.

### type

type

Type of the DataSource.

Overrides DataSourceJsonBase.type

### `Optional` workspaceId

workspaceId?: string

The unique string value used to identify the data-source's workspace.

Inherited from DataSourceJsonBase.workspaceId